import requests
import json
from datetime import datetime


def get_urls(base_url, auth: str) -> list:
    url = f"{base_url}/getUserAccounts/streams"

    payload = {}
    headers = {"Authorization": f"Basic {auth}"}

    response = requests.request("GET", url, headers=headers, data=payload)
    return json.loads(response.text)


def get_user_accounts(base_url, auth: str) -> list:
    url = f"{base_url}/getUserAccounts"

    payload = {}
    headers = {"Authorization": f"Basic {auth}"}

    response = requests.request("GET", url, headers=headers, data=payload)
    res_json = json.loads(response.text)
    for account in res_json:
        account['expiaryDate_rendered'] = datetime.utcfromtimestamp(account['expiaryDate']).strftime('%d/%m/%Y')  
    return res_json
